package com.cool.store.enums.fees;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 提现状态枚举类
 */
@Getter
@AllArgsConstructor
public enum WithdrawStatusEnum {

    PAID(1, "已分账"),
    FAIL(2, "分账失败"),
    PAYING(3, "分账中"),
    PENDING(5, "待分账"),
    ;

    private final Integer status;

    private final String desc;

    public static String getDescByStatus(Integer status) {
        for (WithdrawStatusEnum value : values()) {
            if (value.status.equals(status)) {
                return value.desc;
            }
        }
        return "";
    }
}
